<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<body>
	<ui:composition>
		<p:separator />
		<div class="row box-mb">
			<div class="col-sm-12">
				<label class="control-label"><b><ui:insert name="seccion_datos_registro_titulo">
					<div>DATOS DE REGISTRO</div>				
				</ui:insert></b></label>
			</div>
		</div>
		<div class="row box-mb">
			<p:fieldset>
				<fieldset>
					<p:panel id="DatosRegistro" style=" border: 0px solid #EDEDED;">
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_codigo_lector_absysnet">
									<h:outputLabel for="codigoLectorAbsysnet" value="Cod. Lector AbsysNET: " styleClass="control-label"/>
									<p:inputText 	value="#{bandejaSalaDelUsuarioMB.request.codBarrasAbsysnet}" id="codigoLectorAbsysnet" style="text-transform: uppercase;" readonly="true" maxlength="20" required="false" styleClass="form-control" tabindex="1" />	
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_tipo_usuario">
									<h:outputLabel for="tipoUsuario" value="Tipo de Usuario : " styleClass="control-label" /><span class="style_requerido">*</span>
									<p:selectOneMenu id="tipoUsuario" value="#{bandejaSalaDelUsuarioMB.request.user.tipoUsuarioBiblioteca}" styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione --- " />
										<f:selectItem itemValue="General" itemLabel="General" />
										<f:selectItem itemValue="Investigador" itemLabel="Investigador" />
										<p:ajax event="change" listener="#{bandejaSalaDelUsuarioMB.definirBotonesActivos}" update=":frmUserCreation" />
									</p:selectOneMenu>		
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_estado">
									<h:outputLabel for="estadoRegistro" value="Estado: " styleClass="control-label"/>
									<p:inputText 	value="#{bandejaSalaDelUsuarioMB.request.estadoRegistro}" id="estadoRegistro" style="text-transform: uppercase;" readonly="true" maxlength="20" required="false" styleClass="form-control" tabindex="1" />	
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_concepto">
									<h:outputLabel for="conceptoRegistro" value="Tipo de Registro : " styleClass="control-label" /><span class="style_requerido">*</span>&#160;&#160;&#160;
									<p:selectOneMenu id="conceptoRegistro" value="#{bandejaSalaDelUsuarioMB.request.concepto}" styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione --- " />
										<f:selectItem itemValue="Alta" itemLabel="Alta" />
										<f:selectItem itemValue="Renovación" itemLabel="Renovación" />
										<f:selectItem itemValue="Duplicado" itemLabel="Duplicado" />
									</p:selectOneMenu>		
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_vigencia">
									<h:outputLabel for="vigencia" value="Vigencia: " styleClass="control-label" /><span class="style_requerido">*</span>&#160;&#160;&#160;&#160;
									<p:selectOneMenu id="vigencia" value="#{bandejaSalaDelUsuarioMB.request.vigencia}" styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione --- " />
										<f:selectItem itemValue="1 año" itemLabel="1 año" />
										<p:ajax event="change" listener="#{bandejaSalaDelUsuarioMB.resetFinDeVigencia()}" update="fechaFinVigencia" />
									</p:selectOneMenu>		
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_vigencia_inicio">
									<h:outputLabel for="fechaInicioVigencia" value="Inicio Vigencia: " styleClass="control-label"></h:outputLabel>
									<div class="input-group">
									<p:calendar value="#{bandejaSalaDelUsuarioMB.request.fechaInicio}" id="fechaInicioVigencia" popupIconOnly="true"  pattern="dd/MM/yyyy" widgetVar="wvfechaInicio" locale="es" maxdate="#{bandejaSalaDelUsuarioMB.fechaActual}" >
										<p:ajax event="dateSelect" listener="#{bandejaSalaDelUsuarioMB.resetFinDeVigencia()}" update="fechaFinVigencia" />
									</p:calendar>   
								    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
									</div>
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_vigencia_fin">
									<h:outputLabel for="fechaFinVigencia" value="Fin Vigencia: " styleClass="control-label"></h:outputLabel>
									<p:calendar value="#{bandejaSalaDelUsuarioMB.request.fechaFin}" id="fechaFinVigencia" popupIconOnly="false" readonly= "true" showOn="none" pattern="dd/MM/yyyy" widgetVar="wvfechaFin" locale="es"/>
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_costo">
									<h:outputLabel for="costoInscripcion" value="Importe : "	styleClass="control-label" />
									<p:inputText value="#{bandejaSalaDelUsuarioMB.request.costo}"	id="costoInscripcion"	onkeypress="return onlyDecimal(event)" maxlength="3" styleClass="form-control" tabindex="1">
									</p:inputText>
								</ui:insert>
							</div>
							<div class="col-sm-4">								
								<ui:insert name="seccion_datos_registro_moneda">
									<h:outputLabel for="monedaInscripcion" value="Moneda: " styleClass="control-label" />&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
									<p:selectOneMenu id="monedaInscripcion" value="#{bandejaSalaDelUsuarioMB.request.moneda}" styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione --- " />
										<f:selectItem itemValue="PEN" itemLabel="Soles" />
										<f:selectItem itemValue="USD" itemLabel="Dolares" />
									</p:selectOneMenu>		
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_recibo_pago">
									<h:outputLabel for="reciboPago" value="Recibo Pago : "	styleClass="control-label" />
									<p:inputText value="#{bandejaSalaDelUsuarioMB.request.reciboPago}"	id="reciboPago"	style="text-transform: uppercase;" onkeypress="return validatecla('alfanumerico', this)" maxlength="10" styleClass="form-control" tabindex="1">
									</p:inputText>
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_fecha_pago">
									<h:outputLabel for="fechaPago" value="Fecha Pago : "	styleClass="control-label" />
									<div class="input-group">
									<p:calendar value="#{bandejaSalaDelUsuarioMB.request.fechaPago}" id="fechaPago" popupIconOnly="true"  pattern="dd/MM/yyyy" widgetVar="wvfechaPago" locale="es" maxdate="#{bandejaSalaDelUsuarioMB.fechaActual}" >
									</p:calendar>
								    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
									</div>
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_periodo_suspension">
									<h:outputLabel for="periodoSuspension" rendered="#{bandejaSalaDelUsuarioMB.showDatosSuspension}" value="Periodo de Suspensión:" styleClass="control-label" />
									<p:selectOneMenu id="periodoSuspension" rendered="#{bandejaSalaDelUsuarioMB.showDatosSuspension}" value="#{bandejaSalaDelUsuarioMB.request.periodoSuspension}" styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione --- " />
										<f:selectItem itemValue="1 año" itemLabel="1 año" />
										<p:ajax event="change" listener="#{bandejaSalaDelUsuarioMB.resetFinDeSuspension()}" update="fechaFinSuspension" />
									</p:selectOneMenu>		
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">							
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_inicio_suspension">
									<h:outputLabel for="fechaInicioSuspension" value="Inicio Suspensión: " rendered="#{bandejaSalaDelUsuarioMB.showDatosSuspension}" styleClass="control-label"></h:outputLabel>
									<div class="input-group">
									<p:calendar value="#{bandejaSalaDelUsuarioMB.request.fechaInicioSuspension}" id="fechaInicioSuspension" rendered="#{bandejaSalaDelUsuarioMB.showDatosSuspension}" popupIconOnly="true"  pattern="dd/MM/yyyy" locale="es" maxdate="#{bandejaSalaDelUsuarioMB.fechaActual}" >
										<p:ajax event="dateSelect" listener="#{bandejaSalaDelUsuarioMB.resetFinDeSuspension()}" update="fechaFinSuspension" />
									</p:calendar>   
								    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
									</div>
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_registro_fin_suspension">
									<h:outputLabel for="fechaFinSuspension" value="Fin Suspensión: " styleClass="control-label" rendered="#{bandejaSalaDelUsuarioMB.showDatosSuspension}"></h:outputLabel>
									<p:calendar value="#{bandejaSalaDelUsuarioMB.request.fechaFinSuspension}" id="fechaFinSuspension" rendered="#{bandejaSalaDelUsuarioMB.showDatosSuspension}" popupIconOnly="false" readonly= "true" showOn="none" pattern="dd/MM/yyyy" locale="es"/>
								</ui:insert>
							</div>
						</div>
					</p:panel>
				</fieldset>
			</p:fieldset>
		</div>
	</ui:composition>
</body>
</html>